> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Knowledge Update Request

> Get one report with its occurrences, conflicting documents and recommended knowledge base edits.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/knowledge-update-requests/{request_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/knowledge-update-requests/{request_id}:
    get:
      tags:
        - Knowledge Update Requests
      summary: Get Knowledge Update Request
      description: >-
        Get one report with its occurrences, conflicting documents and
        recommended knowledge base edits.
      operationId: >-
        core_api_v1_controllers_knowledge_update_requests_get_knowledge_update_request
      parameters:
        - in: path
          name: request_id
          schema:
            format: uuid
            title: Request Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KnowledgeUpdateRequestSchema'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    KnowledgeUpdateRequestSchema:
      description: Full schema for a single request.
      properties:
        id:
          title: Id
          type: string
        message:
          title: Message
          type: string
        status:
          title: Status
          type: string
        created_at:
          title: Created At
          type: string
        updated_at:
          title: Updated At
          type: string
        knowledge_document_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Knowledge Document Id
        knowledge_document_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Knowledge Document Title
        thread_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Thread Id
        business_message_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Message Id
        reviewed_by_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviewed By Email
        reviewed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviewed At
        review_notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Review Notes
        user_question:
          title: User Question
          type: string
        gap_summary:
          title: Gap Summary
          type: string
        source:
          title: Source
          type: string
        gap_type:
          title: Gap Type
          type: string
        gap_probability:
          anyOf:
            - type: number
            - type: 'null'
          title: Gap Probability
        occurrence_count:
          title: Occurrence Count
          type: integer
        worth_an_article:
          anyOf:
            - type: number
            - type: 'null'
          title: Worth An Article
        kind:
          title: Kind
          type: string
        topics:
          items:
            type: string
          title: Topics
          type: array
        confidence:
          title: Confidence
          type: number
        occurrences:
          items:
            $ref: '#/components/schemas/KnowledgeUpdateRequestOccurrenceSchema'
          title: Occurrences
          type: array
        conflicting_documents:
          items:
            $ref: '#/components/schemas/ConflictingDocumentSchema'
          title: Conflicting Documents
          type: array
        recommended_kb_actions:
          anyOf:
            - $ref: '#/components/schemas/RecommendedKBActionsPayloadSchema'
            - type: 'null'
        recommended_kb_actions_summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Recommended Kb Actions Summary
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
      required:
        - id
        - message
        - status
        - created_at
        - updated_at
        - knowledge_document_id
        - knowledge_document_title
        - thread_id
        - business_message_id
        - reviewed_by_email
        - reviewed_at
        - review_notes
        - user_question
        - gap_summary
        - source
        - gap_type
        - gap_probability
        - occurrence_count
        - worth_an_article
        - kind
        - topics
        - confidence
        - occurrences
        - conflicting_documents
        - recommended_kb_actions
        - recommended_kb_actions_summary
        - agent_id
        - agent_name
      title: KnowledgeUpdateRequestSchema
      type: object
    KnowledgeUpdateRequestOccurrenceSchema:
      description: A conversation in which the gap of the request was met.
      properties:
        thread_id:
          title: Thread Id
          type: string
        business_message_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Message Id
        source:
          title: Source
          type: string
        user_question:
          title: User Question
          type: string
        feedback:
          title: Feedback
          type: string
        gap_probability:
          anyOf:
            - type: number
            - type: 'null'
          title: Gap Probability
        created_at:
          title: Created At
          type: string
      required:
        - thread_id
        - business_message_id
        - source
        - user_question
        - feedback
        - gap_probability
        - created_at
      title: KnowledgeUpdateRequestOccurrenceSchema
      type: object
    ConflictingDocumentSchema:
      description: >-
        A page that gives an answer incompatible with another page of the same
        request.
      properties:
        id:
          title: Id
          type: string
        title:
          title: Title
          type: string
        statement:
          title: Statement
          type: string
        document_origin:
          $ref: '#/components/schemas/DocumentOriginSchema'
      required:
        - id
        - title
        - statement
        - document_origin
      title: ConflictingDocumentSchema
      type: object
    RecommendedKBActionsPayloadSchema:
      description: >-
        Top-level payload stored on
        KnowledgeUpdateRequest.recommended_kb_actions.
      properties:
        summary_for_admin:
          title: Summary For Admin
          type: string
        actions:
          items:
            $ref: '#/components/schemas/RecommendedKBActionSchema'
          title: Actions
          type: array
        confidence:
          anyOf:
            - type: number
            - type: 'null'
          title: Confidence
      required:
        - summary_for_admin
        - actions
      title: RecommendedKBActionsPayloadSchema
      type: object
    DocumentOriginSchema:
      description: >-
        Where a document is maintained: a synced document is fixed in its
        external system, not in AGO.
      properties:
        source_type:
          title: Source Type
          type: string
        synced:
          title: Synced
          type: boolean
        external_url:
          anyOf:
            - type: string
            - type: 'null'
          title: External Url
        has_override:
          default: false
          title: Has Override
          type: boolean
      required:
        - source_type
        - synced
      title: DocumentOriginSchema
      type: object
    RecommendedKBActionSchema:
      description: One admin-actionable recommendation produced by the kb-actions LLM step.
      properties:
        type:
          title: Type
          type: string
        knowledge_document_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Knowledge Document Id
        section_hint:
          anyOf:
            - type: string
            - type: 'null'
          title: Section Hint
        addition_markdown:
          anyOf:
            - type: string
            - type: 'null'
          title: Addition Markdown
        suggested_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Suggested Title
        suggested_content_markdown:
          anyOf:
            - type: string
            - type: 'null'
          title: Suggested Content Markdown
        source_doc_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Doc Id
        target_doc_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Doc Id
        link_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Link Text
        rationale:
          title: Rationale
          type: string
        document_origin:
          anyOf:
            - $ref: '#/components/schemas/DocumentOriginSchema'
            - type: 'null'
      required:
        - type
        - rationale
      title: RecommendedKBActionSchema
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.